#include <stdio.h>

void write_int(int n) {
  printf("%d", n);
  return;
}

int main() {
  write_int((255 << 8 | 255) & (255 << 8));
  printf("\n");
  write_int(2147483647);
  printf("\n");
  write_int(255);
  printf("\n");
  write_int(1 << 31); // -2147483648
  printf("\n");
  write_int(-1);
  printf("\n");
  write_int((1 << 8) >> 8);
  printf("\n");
  write_int(~(-1));
  printf("\n");
  return 0;
}
